Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.expressions
Class EvaluationResult

    java.lang.Object
      org.eclipse.core.expressions.EvaluationResult

public class EvaluationResult
extends Object

An evaluation result represents the result of an expression evaluation. There are exact three instances of evaluation result. They are: `FALSE`, `TRUE` and `NOT_LOADED`. `NOT_LOADED` represents the fact that an expression couldn't be evaluated since a plug-in providing certain test expressions isn't loaded yet.

In addition the class implements the three operation `and` , `or` and `not`. The operation are defined as follows:

The and operation:

AND | FALSE | TRUE | NOT_LOADED
FALSE | FALSE | FALSE | FALSE
TRUE | FALSE | TRUE | NOT_LOADED
NOT_LOADED | FALSE | NOT_LOADED | NOT_LOADED

The or operation:

OR | FALSE | TRUE | NOT_LOADED
FALSE | FALSE | TRUE | NOT_LOADED
TRUE | TRUE | TRUE | TRUE
NOT_LOADED | NOT_LOADED | TRUE | NOT_LOADED

The not operation:

NOT | FALSE | TRUE | NOT_LOADED
| TRUE | FALSE | NOT_LOADED

The class is not intended to be subclassed by clients.

Since:
  3.0

Field Summary
`static EvaluationResult` | `FALSE` The evaluation result representing the value FALSE
`static EvaluationResult` | `NOT_LOADED` The evaluation result representing the value NOT_LOADED
`static EvaluationResult` | `TRUE` The evaluation result representing the value TRUE

Method Summary
`EvaluationResult` | `and(EvaluationResult other)` Returns an `EvaluationResult` whose value is `this && other)`.
`EvaluationResult` | `not()` Returns the inverted value of this evaluation result
`EvaluationResult` | `or(EvaluationResult other)` Returns an `EvaluationResult` whose value is `this || other)`.
`String` | `toString()` For debugging purpose only
`static EvaluationResult` | `valueOf(boolean b)` Returns an evaluation result instance representing the given boolean value.
`static EvaluationResult` | `valueOf(Boolean b)` Returns a evaluation result instance representing the given `Boolean` value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FALSE

    public static final EvaluationResult FALSE

  The evaluation result representing the value FALSE

### TRUE

    public static final EvaluationResult TRUE

  The evaluation result representing the value TRUE

### NOT_LOADED

    public static final EvaluationResult NOT_LOADED

  The evaluation result representing the value NOT_LOADED

Method Detail

### and

    public EvaluationResult and(EvaluationResult other)

  Returns an `EvaluationResult` whose value is `this && other)`.

  Parameters:
    `other` - the right hand side of the and operation.
  Returns:
    `this && other` as defined by the evaluation result

### or

    public EvaluationResult or(EvaluationResult other)

  Returns an `EvaluationResult` whose value is `this || other)`.

  Parameters:
    `other` - the right hand side of the or operation.
  Returns:
    `this || other` as defined by the evaluation result

### not

    public EvaluationResult not()

  Returns the inverted value of this evaluation result

  Returns:
    the inverted value of this evaluation result

### valueOf

    public static EvaluationResult valueOf(boolean b)

  Returns an evaluation result instance representing the given boolean value. If the given boolean value is `true` then `ExpressionResult.TRUE` is returned. If the value is `false` then `ExpressionResult.FALSE` is returned.

  Parameters:
    `b` - a boolean value
  Returns:
    the expression result representing the boolean value

### valueOf

    public static EvaluationResult valueOf(Boolean b)

  Returns a evaluation result instance representing the given `Boolean` value. If the given `Boolean` value is `true` then `ExpressionResult.TRUE` is returned. If the value is `false` then `ExpressionResult.FALSE` is returned.

  Parameters:
    `b` - a `Boolean` value
  Returns:
    the expression result representing the `Boolean` value

### toString

    public String toString()

  For debugging purpose only

  Returns:
    a string representing this object. The result is not human readable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.